<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
	<extension point="org.eclipse.ui.menus">
		<menuContribution
			allPopups="false"
			locationURI="popup:org.eclipse.papyrus.designer.popup?after=codegen">
			<command
				commandId="org.eclipse.papyrus.designer.languages.common.codegen.command"
				icon="icons/codegen.gif">
				<visibleWhen checkEnabled="true">
					<with variable="selection">
						<iterate>
							<adapt type="org.eclipse.emf.ecore.EObject">
								<or>
									<instanceof value="org.eclipse.uml2.uml.Classifier"/>
									<instanceof value="org.eclipse.uml2.uml.Package"/>
								</or>
							</adapt>
						</iterate>
					</with>
				</visibleWhen>
			</command>
		</menuContribution>
	</extension>
	<extension point="org.eclipse.ui.commands">
		<command
			description="Generate code"
			categoryId="org.eclipse.papyrus.editor.category"
			id="org.eclipse.papyrus.designer.languages.common.codegen.command"
			defaultHandler="org.eclipse.papyrus.designer.languages.common.codegen.ui.handlers.GenerateCodeHandler"
			name="Generate code (no transformations)">
		</command>
	</extension>
	
	<extension point="org.eclipse.ui.preferencePages">
		<page
			category="org.eclipse.papyrus.designer.infra.ui.designercategory"
			class="org.eclipse.papyrus.designer.languages.common.codegen.ui.preferences.CodegenPreferencePage"
			id="org.eclipse.papyrus.designer.languages.common.codegen.ui.preferences.CodeGenPreferencePage"
			name="Papyrus SW designer project creation">
		</page>
	</extension>
</plugin>
